Version='2.2.6'
#afaire: rajouter une copie d ecran, copier tout /etc
#226 cp -a /etc/* ETC
#224 creation de Bureau/, ajout de version et debian_version sur le .tar
debian_version=$(cat /etc/debian_version)

echo "version : "$Version
echo "apt-get install dmidecode coreutils util-linux mesa-utils grep lshw usbutils util-linux  pciutils iproute2 inxi kmod dpkg smartmontools ethtool net-tools wireless-tools upower"
#i="ifconfig";apt-file search $i |grep "\ $(which $i)$"



IFS=$'\n'
cd /tmp/ && temps=$(date +%Y.%m.%d.%H.%M.%S) && mkdir -p br_SYSTEME/$( hostname )_$temps && cd br_SYSTEME/$( hostname )_$temps && echo "version : "$Version >> "_version"$Version
ls -A /home > USERS
egrep -v "false$|nologin$|null" /etc/passwd |egrep ":x:" >> USERS
egrep -v "false$|nologin$|null" /etc/passwd |egrep -v ":x:" |sed 's/:.*:/:MotDePasseDansPasswd:/' >> USERS
egrep -v "false$|nologin$|null" /etc/passwd |egrep -v ":x:" |sed 's/:.*:/:MotDePasseDansPasswd:/' >> aa_ERREURS
touch aa_RESUMEE
inxi -M -c 0 >> aa_RESUMEE


mkdir LOGS VIDEO SYSTEME MATERIEL HD RESEAU PROGRAMMES SON GRUB LAPTOP BUREAU SESSION ETC

cp -a /etc/* ETC
import -window root BUREAU/BUREAU.jpg

dmesg > LOGS/dmesg
cat LOGS/dmesg|egrep -i "error|warning|Reason">> aa_ERREURS


cat /home/*/.xsession /home/*/.xsession-errors >> SESSION/xsession 
cat SESSION/xsession |egrep -i "unable to start X session|aborting" >> aa_ERREURS

cp /var/log/boot.log LOGS/boot.log
echo -e "-------\nboot.log" >> aa_ERREURS
cat /var/log/boot.log |grep FATAL >> aa_ERREURS
echo -e "" >> aa_ERREURS

cp /var/log/Xorg.0.log VIDEO/Xorg.0.log
cp /etc/X11/xorg.conf VIDEO/xorg.conf
glxinfo > VIDEO/glxinfo
glxinfo |grep rendering >> aa_RESUMEE

err="" 
err=$(echo -n "-------glxinfo :")
err=$err$(egrep "direct rendering" VIDEO/glxinfo )
err=$(echo $err |grep -v "direct rendering: Yes")
echo $err >> aa_ERREURS
err=""

echo -e "-------\nXorg.0.log " >> aa_ERREURS
egrep "\(EE\)|\(WW\)|\(NI\)" /var/log/Xorg.0.log >> aa_ERREURS
echo -e "" >> aa_ERREURS

################################## MATERIEL
echo "MATERIEL"
inxi -M -c 0 > MATERIEL/inxi-m
lshw > MATERIEL/lshw
lsusb > MATERIEL/lsusb
lscpu > MATERIEL/lscpu
cat /proc/cpuinfo > MATERIEL/proc_cpuinfo
lsusb -v > MATERIEL/lsusb-v
lsusb -t > MATERIEL/lsusb-t
lspci > MATERIEL/lspci
lspci -nnvvv > MATERIEL/lspci-nnvvv
lspci -k > MATERIEL/lspci-k
lspci |egrep "vga|ATI|NVIDIA" >> aa_RESUMEE
echo "/etc/default/crda" $(cat /etc/default/crda |grep "REGDOMAIN=") >> aa_RESUMEE
cp /etc/default/keyboard MATERIEL/clavier_etc_default_keyboard 


################################## DISQUES DURS
echo "DISQUES DURS"
cp /etc/fstab HD/fstab
cp /etc/mtab HD/mtab
df -h > HD/df-h

################################## GRUB
echo "GRUB"
cp /etc/default/grub GRUB/grub
cp /boot/grub/menu.lst GRUB/menu.lst
cp /boot/grub/grub.cfg GRUB/grub.cfg
for i in $(ls /etc/grub.d/*)
do cp $i GRUB/etc_grub.d_$(basename $i)
done



################################## SYSTEME DIVERS
echo "SYSTEME DIVERS"
cat /etc/os-release > SYSTEME/os_release
cat /etc/*release >> SYSTEME/release
export > SYSTEME/export
printenv > SYSTEME/printenv
printenv |grep "_proxy" >> aa_ERREURS
cat /etc/environment > SYSTEME/environment
cp /etc/apt/sources.list SYSTEME/sources.list
ls -al /dev/disk/by-uuid  > SYSTEME/dev_disk_by-uuid
uname -r -m > SYSTEME/uname-r-m
uname -m > SYSTEME/uname-m
cat /etc/debian_version > SYSTEME/debian_version
cat /proc/version > SYSTEME/proc_version
inxi -S -c 0 > SYSTEME/inxi-S


ps aux  > SYSTEME/ps_aux
cat /proc/cmdline > SYSTEME/proc_cmdline
cat /etc/modules > SYSTEME/modules
lsmod > SYSTEME/lsmod
cat /proc/modules > SYSTEME/proc_modules
for i in $(ls /etc/modprobe.d/*);do cp $i SYSTEME/modprobe.d_$(basename $i);done
dmidecode > SYSTEME/dmidecode
dpkg --get-selections > SYSTEME/dpkg-get-selections
dpkg -l > SYSTEME/dpkg-l
history|grep apt-get > SYSTEME/history_apt-get
cat /proc/interrupts > SYSTEME/proc_interrupts_irq
cat /proc/mounts > SYSTEME/proc_mounts
ls -al /home > SYSTEME/home
for i in $( ls -Al /dev/disk/by-id/ |grep -v [0-9]$ |sed 's#.*/\(sd.*\)#\1#' |sort|uniq )
do  echo "==================== "/dev/$i" ===========================" >> SYSTEME/smartctl
smartctl -A  /dev/$i >> SYSTEME/smartctl
done


uname -m  >> aa_RESUMEE
uname -r -m >> aa_RESUMEE
cat /etc/debian_version>> aa_RESUMEE
inxi -S -c 0 >> aa_RESUMEE
for i in $( ls -Al /dev/disk/by-id/ |grep -v [0-9]$ |sed 's#.*/\(sd.*\)#\1#' |sort|uniq ); do echo  /dev/$i ":" $(smartctl -H /dev/$i |grep test)>>aa_RESUMEE;done


################################## RESEAU https://wiki.debian.org/fr/NetworkConfiguration
echo "RESEAU"
cat /etc/resolv.conf > RESEAU/resolv.conf
ifconfig -a > RESEAU/ifconfig-a
ip a >> RESEAU/ifconfig-a
iwconfig> RESEAU/iwconfig
iwlist scan > RESEAU/iwlist_scan
cp /etc/NetworkManager/nm-system-settings.conf RESEAU/etc_NetworkManager_nm-system-settings.conf
cp /etc/NetworkManager/NetworkManager.conf RESEAU/etc_NetworkManager_NetworkManager.conf
cat /etc/default/crda > RESEAU/WIFI-crda
cat RESEAU/WIFI-crda |egrep -i  "REGDOMAIN=$" >> aa_ERREURS

cat /etc/network/interfaces > RESEAU/interfaces
for i in $(ls /etc/NetworkManager/system-connections/*)
do cp $i RESEAU/etc_NetworkManager_system-connections_$(basename $i)
done
ip a |egrep "inet\ [0-9\.]*|^[0-9]" |sed -e "s#^[0-9]\:\ \(.*\)\:.*<.*#\1#" -e "s#.*inet\ \([0-9\.]*\)/[0-9].*#\1#">>aa_RESUMEE
ifconfig -a |egrep "inet\ [0-9\.]*|: flags" |sed -e "s#:\ flags.*#:#" -e "s#.*inet\ \([0-9\.]*\)\ .*#\1#">>aa_RESUMEE
#debian handbook p205
echo "netdev : "$(grep netdev /etc/group) >> RESEAU/netdev
cp /etc/nsswitch.conf RESEAU/etc_nsswitch.conf





# /etc/profile.d/proxy.sh  /etc/apt/apt.conf.d/99HttpProxy /etc/wgetrc /etc/apt/apt.conf

mkdir -p BUREAU/usr_share_applications_/
cp -a /usr/share/applications/ BUREAU/usr_share_applications_/
cp /usr/share/applications/*.list BUREAU/
cp -a /home/*/.local/share/*/scripts/ BUREAU/

################################## son
echo "son"
cat /proc/asound/version > SON/version
cat /proc/asound/cards > SON/cards
cat SON/cards |grep "no soundcards" >> aa_ERREURS
cat /proc/asound/devices > SON/devices
cat /proc/asound/oss/devices >> SON/devices
cat /proc/asound/timers > SON/timers
cat /proc/asound/pcm > SON/pcm
alsactl init > SON/alsactl_init
ps aux |egrep "pulse|alsa" |grep -v grep > SON/ps
cat /home/*/.asoundrc /root/.asoundrc > SON/asoundrc

upower -d> LAPTOP/upower-d
echo -n "batterie portable : " >> aa_RESUMEE ; cat LAPTOP/upower-d|grep "capacity:" >> aa_RESUMEE


update-flashplugin-nonfree --status >> PROGRAMMES/flashplayer_status

echo -e '\n---------------------------ERREURS a verifier-----\n' >> aa_RESUMEE
cat aa_ERREURS >> aa_RESUMEE

tree -H .  > tree.html

cp aa_ERREURS aa_RESUMEE /tmp/	

cd  /tmp/
tar -cvf br_SYSTEME/$( hostname )_${debian_version}_${temps}_V${Version}.tar br_SYSTEME/$( hostname )_$temps/
chmod -R 777 br_SYSTEME/$( hostname )_$temps*





rm -r br_SYSTEME/$( hostname )_$temps/
for i in $(ls /home/)
do cp  br_SYSTEME/$( hostname )*.tar /home/$i/Bureau/
cp  br_SYSTEME/$( hostname )*.tar /home/$i/Desktop/
chmod 777  /home/$i/*/$( hostname )*.tar
done







echo -e '\n---------------------------début de ERREURS a verifier----=> \n'
cat aa_ERREURS 
echo -e '\n <=-------------------------fin de ERREURS a verifier-----\n'

#V2.1.2 : affichage des erreurs
echo -e "\n\nversion :"$Version
echo -e "REMARQUE : il est normal qu'il y ait des ERREURS\nIl faut maintenant m'envoyer le fichier br_systeme...tar qui est sur le Bureau"

echo -e " on peut utiliser les fichiers /tmp/aa_ERREURS /tmp/aa_RESUMEE"
echo -e "attention les fichiers dans le dossier RESEAU pourraient contenir des mots de passe en clair."
